EDIT - bug #7194

NoSuchElementException in LazyComboBox used in ToOneRelatedEntityCombobox
01/16/2018 04:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: critical Found in Version:

Description

frequently a NoSuchElementException is thrown when scrolling to next pages in the combobox

SEVERE :
java.util.NoSuchElementException

at java.util.AbstractList$Itr.next (AbstractList.java:364)

at java.util.SubList$1l.next (AbstractList.java:707)

at java.util.AbstractCollection.toArray (AbstractCollection.java:141)

at java.util.ArraylList.<init> (ArrayList.java:177)

at org.vaadin.viritin.LazyList.subList (LazyList.java:294)

at org.vaadin.viritin.ListContainer.getItemIds (ListContainer. java:150)

at com.vaadin.ui.ComboBox.getOptionsWithFilter (ComboBox.java:475)

at com.vaadin.ui.ComboBox.paintContent (ComboBox. java:261)

at com.vaadin.server.LegacyPaint.paint (LegacyPaint.java:65)

at com.vaadin.server.communication.LegacyUidlWriter.write (LegacyUidlWriter. java:82)

at com.vaadin.server.communication.UidlWriter.write (UidlWriter. java:143)

at com.vaadin.server.communication.UidlRequestHandler.writeUidl (UidlRequestHandler. java:124)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlRequestHan
dler.java:92)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1436)

at com.vaadin.server.VaadinServlet.service (VaadinServlet. java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:841)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler. java:1634)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon
ymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcessingF

ilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

oxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21
3)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1621)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

lter.java:121)
.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1613)
servlet.ServletHandler.doHandle (ServletHandler. java:541)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler. java:548)
handler.
session.
handler.ScopedHandler.nextHandle (ScopedHandler :188)
handler.ContextHandler.doHandle (ContextHandler :1228)
handler.ScopedHandler.nextScope (ScopedHandler. java:168)

HandlerWrapper.handle (HandlerWrapper. java:132)
:190)
:1584)

ScopedHandler.nextHandle (ScopedHandler. java

SessionHandler.doHandle (SessionHandler. java
. java

. java

servlet.ServletHandler.doScope (ServletHandler. java:481)

session.SessionHandler.doScope (SessionHandler. java:1553)
handler.ScopedHandler.nextScope (ScopedHandler. java:166)
handler.
.handler.
handler.
.Server.handle (Server.java:564)

.HttpChannel.handle (HttpChannel. java:320)
HttpConnection.onFillable (HttpConnection. java:251)

ContextHandler.doScope (ContextHandler. java:1130)
ScopedHandler.handle (ScopedHandler. java:141)
HandlerWrapper.handle (HandlerWrapper. java:132)

io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:279)
io.FillInterest.fillable(FillInterest.java:112)

io.ChannelEndPoint$2.run (ChannelEndPoint. java:124)
util.thread.Invocable.invokePreferred (Invocable. java:122)
util.thread.strategy.ExecutingExecutionStrategy.invoke (ExecutingExecution

util.thread.strategy.ExecuteProduceConsume.produceConsume (ExecuteProduceC
at org.eclipse.jetty.util.thread.strategy.ExecuteProduceConsume.run (ExecuteProduceConsume. java
:133)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:672)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run (QueuedThreadPool. java:590)

at java.lang.Thread.run (Thread. java:748)

Associated revisions

Revision 2fbc5869 - 01/17/2018 08:19 AM - Andreas Kohlbecker
fix #7194 fixing page index calulation in CdmpFilterablePagingProvider

History

#1 - 01/16/2018 04:58 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 10

in the viritin issue tracker a related ticket can be found https:/github.com/viritin/viritin/issues/273
where a problem in the paging provide implementation is suggested

#2 - 01/17/2018 08:20 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 10 to 50

Applied in changeset cdm-vaadin|2fbc5869df438292e3679d162a0f81d3234e57ad.

#3 - 01/17/2018 08:20 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
